### Enumeration

# Clutter OffscreenRedirect

#### Declaration

    flags Clutter.OffscreenRedirect

#### Description [src]

Possible flags to pass to clutter_actor_set_offscreen_redirect().

#### Members

`CLUTTER_OFFSCREEN_REDIRECT_AUTOMATIC_FOR_OPACITY`

  Only redirect the actor if it is semi-transparent and its `has_overlaps()` virtual returns `TRUE`.

  - Value: `1`
  - Available since: 14
`CLUTTER_OFFSCREEN_REDIRECT_ALWAYS`

  Always redirect the actor to an offscreen buffer even if it is fully opaque.

  - Value: `2`
  - Available since: 14
`CLUTTER_OFFSCREEN_REDIRECT_ON_IDLE`

  Only redirect the actor if it is the most efficient thing to do based on its recent repaint behaviour. That means when its contents are changing less frequently than it’s being used on stage.

  - Value: `4`
  - Available since: 14